Subject: Why BFD for IPv4 and IPv6?

From: Glen Kent <[email-masked]>
Date: Fri, 16 Dec 2005 14:01:35 +0530

Hi,

BFD (draft-ietf-bfd-base-04.txt) runs over L2 between two directly
connected nodes and provides liveliness detection mechanism b/w them.
If this is so, then why do we need a separate BFD protocol for Ipv4
and IPv6. Detecting forwarding plane liveliness over L2 IMO is a
superset of that doing it over IPv4/6?

One scenario that i can think of when you would require a separate BFD
for v4/v6 is when you have 2 directly connected links and we change
the IPv4/6 address on one side. This will not be detected by the base
BFD and the link is still alive. Is it for this that we have the other
BFD draft (draft-ietf-bfd-v4v6-1hop-04.txt)?

Also, if somebody runs BFD for v4/v6, then is he/she required to run
the base BFD also?

Thanks,
Glen